apt 3.1.11 commandline package manager

Classes | Public Member Functions | Public Attributes | List of all members
pkgTagFilePrivate Class Reference

## Classes
struct | FileChunk

## Public Member Functions
void | Reset (FileFd *const pFd, unsigned long long const pSize, pkgTagFile::Flags const pFlags)
| pkgTagFilePrivate (FileFd *const pFd, unsigned long long const Size, pkgTagFile::Flags const pFlags)
bool | FillBuffer ()
void | RemoveCommentsFromBuffer ()

## Public Attributes
FileFd * | Fd
pkgTagFile::Flags | Flags
char * | Buffer
char * | Start
char * | End
bool | Done
unsigned long long | iOffset
unsigned long long | Size
bool | isCommentedLine
std::list< FileChunk > | chunks

The documentation for this class was generated from the following file:

- apt-pkg/tagfile.cc